import { BaseSpirit } from "../common/base-spirit";
import { IOuputConfig, ISpiritParams } from "../types/config";
import { DragLayout } from "..";
export declare class ContainerSpirit extends BaseSpirit {
    _children: BaseSpirit[];
    auxiliaryDragEl: HTMLDivElement;
    lockBtn: HTMLDivElement;
    lock: boolean;
    get children(): BaseSpirit[];
    get ouputConfig(): IOuputConfig;
    get isScrrenBaseContainer(): boolean;
    get hasActiveChild(): BaseSpirit;
    get sortChildren(): BaseSpirit[];
    constructor(option: Partial<ISpiritParams>, dragLayout: DragLayout);
    handleMousedown(event: MouseEvent): void;
    initLockBtn(): void;
    getchildrenMaxBottom(idx: any): number;
    getchildrenMaxRight(): number;
    updateStyle(): void;
    syncChildrenStyle(): void;
    calculateChildSort(): void;
    checkCanInsert(): boolean;
    checkNewSort(): void;
    setLock(bool: boolean): void;
}
