import { IScreenConfig } from "../types/config";
import { CopySpirit } from "../spirit/copy-spirit";
import { DragLayout } from "..";
import { BaseSpirit } from "./base-spirit";
import { Base } from "./base";
import { ScrrenType, EditMode } from "../enums";
import { ContainerSpirit } from "../spirit";
export declare class Screen extends Base {
    maskEl: HTMLSpanElement;
    config: IScreenConfig;
    copySpirit: CopySpirit;
    wheelDeltaY: number;
    boxSpirit: ContainerSpirit;
    get style(): string;
    constructor(option: Partial<IScreenConfig>, dragLayout: DragLayout);
    initRender(): void;
    setBoxSpirit(type?: ScrrenType): void;
    updateStyle(): void;
    initEvent(): void;
    handleMousedown(e: MouseEvent): void;
    createCopySpirit(spirit: BaseSpirit): void;
    removeCopySpirit(): void;
    checkNewSort(): void;
    setEditMode(mode: EditMode): void;
}
